Bug 17544 - populate_db.pl should not require t::lib::Mocks
Summary: populate_db.pl should not require t::lib::Mocks
Status: Pushed to Master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on: 10337
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-03 13:16 UTC by Tomás Cohen Arazi
Modified: 2016-12-14 10:06 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17544 - : Remove t::lib::Mocks dependency from populate_db.pl (644 bytes, patch)
2016-11-03 13:18 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 17544 - : Remove t::lib::Mocks dependency from populate_db.pl (707 bytes, patch)
2016-11-03 20:18 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2016-11-03 13:16:00 UTC
The misc/devel/populate_db.pl script incorrectly requires t::lib::Mocks, and this makes it fail under kohadevbox.

Steps to reproduce:
- Have a fresh kohadevbox (DB not populated)
- Run
  $ sudo koha-shell kohadev -c "/home/vagrant/kohaclone/misc/devel/populate_db.pl --marcflavour marc21"
=> FAIL: You get:
Can't locate t/lib/Mocks.pm in @INC (you may need to install the t::lib::Mocks module) (@INC contains: /usr/share/koha/lib /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.20.2 /usr/local/share/perl/5.20.2 /usr/lib/x86_64-linux-gnu/perl5/5.20 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.20 /usr/share/perl/5.20 /usr/local/lib/site_perl .) at /home/vagrant/kohaclone/misc/devel/populate_db.pl line 27.
BEGIN failed--compilation aborted at /home/vagrant/kohaclone/misc/devel/populate_db.pl line 27.
Comment 1 Tomás Cohen Arazi 2016-11-03 13:18:23 UTC
Created attachment 57130 [details] [review]
Bug 17544 - : Remove t::lib::Mocks dependency from populate_db.pl

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Jonathan Druart 2016-11-03 20:18:28 UTC
Created attachment 57142 [details] [review]
Bug 17544 - : Remove t::lib::Mocks dependency from populate_db.pl

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 3 Kyle M Hall 2016-11-04 11:10:11 UTC
Pushed to master for 16.11, thanks Tomas!
Comment 4 Mason James 2016-12-14 10:06:38 UTC
Pushed to 16.05.x, for 16.05.06 release